Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
★ Install of core/git/2.23.0/20190908235432 complete with 3 new packages installed.
composer: Resolved dependency 'core/git' to /hab/pkgs/core/git/2.23.0/20190908235432
composer: WARN:
composer: WARN: The following runtime dependencies have more than one version
composer: WARN: release in the full dependency chain:
composer: WARN:
composer: WARN: * core/curl ( core/curl/7.67.0/20191202111040 core/curl/7.65.3/20190826035620 )
composer: WARN:
composer: WARN: The current situation usually arises when a Plan has a direct
composer: WARN: dependency on one version of a package (`acme/A/7.0/20160101200001`)
composer: WARN: and has a direct dependency on another package which itself depends
composer: WARN: on another version of the same package (`acme/A/2.0/20151201060001`).
composer: WARN: If this package (`acme/A`) contains shared libraries which are
composer: WARN: loaded at runtime by the current Plan, then both versions of
composer: WARN: `acme/A` could be loaded into the same process in a potentially
composer: WARN: surprising order. Worse, if both versions of `acme/A` are
composer: WARN: ABI-incompatible, runtime segmentation faults are more than likely.
composer: WARN:
composer: WARN: In order to preserve reliability at runtime the duplicate dependency
composer: WARN: entries will need to be resolved before this Plan can be built.
composer: WARN: Below is an expanded graph of all `$pkg_deps` and their dependencies
composer: WARN: with the problematic lines noted.
composer: WARN:
composer: WARN: Computed dependency graph (Lines with '*' denote a problematic entry):
rakops/composer/1.9.1/20191202232437
core/php/7.3.10/20191202114242
core/bzip2/1.0.6/20190115011950
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/coreutils/8.30/20190115012313
core/acl/2.2.53/20190115012136
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gmp/6.1.2/20190115003943
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libcap/2.25/20190115012150
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/curl/7.67.0/20191202111040 (*)
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/nghttp2/1.34.0/20190115160823
core/openssl/1.0.2r/20190305210149
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl-fips/2.0.16/20190115014207
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/icu/57.1/20190115160449
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libjpeg-turbo/1.5.0/20190115161838
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libpng/1.6.37/20190416161431
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libxml2/2.9.10/20191119234603
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libzip/1.5.1/20190305213950
core/bzip2-musl/1.0.6/20190115014608
core/musl/1.1.19/20190115014538
core/openssl/1.0.2r/20190305210149
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl-fips/2.0.16/20190115014207
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl/1.0.2r/20190305210149
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl-fips/2.0.16/20190115014207
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/readline/7.0.3/20190115012607
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/ncurses/6.1/20190115012027
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zip/3.0/20190115162042
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/git/2.23.0/20190908235432
core/cacerts/2018.12.05/20190115014206
core/curl/7.65.3/20190826035620 (*)
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/nghttp2/1.34.0/20190115160823
core/openssl/1.0.2r/20190305210149
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl-fips/2.0.16/20190115014207
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/expat/2.2.5/20190115012836
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gettext/0.19.8/20190115013412
core/acl/2.2.53/20190115012136
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/xz/5.2.4/20190115013348
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssh/7.5p1/20190305213650
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl/1.0.2r/20190305210149
core/cacerts/2018.12.05/20190115014206
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/openssl-fips/2.0.16/20190115014207
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/perl/5.28.0/20190115013014
core/bzip2/1.0.6/20190115011950
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/coreutils/8.30/20190115012313
core/acl/2.2.53/20190115012136
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gmp/6.1.2/20190115003943
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/libcap/2.25/20190115012150
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/db/5.3.28/20190115012845
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/gdbm/1.17/20190115012826
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/less/530/20190115013008
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/ncurses/6.1/20190115012027
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/pcre/8.42/20190115012526
core/gcc-libs/8.2.0/20190115011926
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/sed/4.5/20190115012152
core/acl/2.2.53/20190115012136
core/attr/2.4.48/20190115012129
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
core/zlib/1.2.11/20190115003728
core/glibc/2.27/20190115002733
core/linux-headers/4.17.12/20190115002705
composer: ERROR: Computed runtime dependency check failed, aborting
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment